package com.inspect.patrol.mapper;

import com.inspect.patrol.domain.PatrolLinkageStrategyRef;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolLinkageStrategyRefMapper {
    PatrolLinkageStrategyRef selectPatrolLinkageStrategyRefByLinkageStrategyRefId(Long refId);

    List<PatrolLinkageStrategyRef> selectPatrolLinkageStrategyRefList(PatrolLinkageStrategyRef ref);

    int insertPatrolLinkageStrategyRef(PatrolLinkageStrategyRef ref);

    int insertPatrolLinkageStrategyRefs(List<PatrolLinkageStrategyRef> refList);

    int updatePatrolLinkageStrategyRef(PatrolLinkageStrategyRef ref);

    int deletePatrolLinkageStrategyRefByLinkageStrategyRefId(Long refId);

    int deletePatrolLinkageStrategyRefByLinkageStrategyRefIds(Long[] refIds);
}
